# Underlying transport protocol socket classes.

## Classes

class | RTPBaseUDPIPv4Socket
| A UDP/IPv4 socket class targetted at RTP stacks. More...
class | DualRTPChannel< BaseSocket >
class | DualUDPIPv4Socket
| A socket class based on two UDP/IPv4 sockets. More...

## Typedefs

typedef DualRTPChannel < RTPBaseUDPIPv4Socket > | DualRTPUDPIPv4Channel
typedef RTPBaseUDPIPv4Socket | SingleRTPChannel
| May be used in applications where using the same socket for both sending and receiving is not a limitation.
typedef SingleRTPChannel | SymmetricRTPChannel
| Actually, RTP with a single channel can be called 'Symmetric RTP'.

## Typedef Documentation

typedef DualRTPChannel<RTPBaseUDPIPv4Socket> DualRTPUDPIPv4Channel

typedef RTPBaseUDPIPv4Socket SingleRTPChannel

May be used in applications where using the same socket for both sending and receiving is not a limitation.

typedef SingleRTPChannel SymmetricRTPChannel

Actually, RTP with a single channel can be called 'Symmetric RTP'.